• Mystery Incorporated

    Mystery Incorporated

    5 months ago
    M1 macs are reporting as i486 I suspect that is an osquery issue not fleet?
  • a

    alessandrogario

    5 months ago
    Could that be Rosetta2?
  • Kathy Satterlee

    Kathy Satterlee

    5 months ago
    Hi, @Mystery Incorporated! While osquery 5.2.2 does natively support the M1 architecture, the osquery installer generated by Fleet doesn't include a native installer as of yet. Because of that, you're seeing the architecture returned by Rosetta.
  • There is a plan to add a native installer for M1 in a future release.
  • Meanwhile, if it's something that you'd really like to have now, you can enroll your M1 macs using plain osquery. As long as you install the most recent version (5.2.2), you should be good to go.
  • Mystery Incorporated

    Mystery Incorporated

    5 months ago
    I am using plain osquery but they are 5.0.1 is that my problem?
  • and some are 5.1.0
  • Kathy Satterlee

    Kathy Satterlee

    5 months ago
    Yes. Updating those M1 Macs to the latest release of osquery should do the trick.